All Classes Functions Typedefs Enumerations Enumerator Properties Groups Pages
QDjangoHttpServer.h
/*
* Copyright (C) 2010-2012 Jeremy Lainé
* Contact: http://code.google.com/p/qdjango/
*
* This file is part of the QDjango Library.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*/
#ifndef QDJANGO_HTTP_SERVER_H
#define QDJANGO_HTTP_SERVER_H
#include <QHostAddress>
#include <QObject>
#include "QDjangoHttp_p.h"
class QDjangoHttpRequest;
class QDjangoHttpResponse;
class QDjangoHttpServer;
class QDjangoHttpServerPrivate;
class QDjangoUrlResolver;
class QDJANGO_EXPORT QDjangoHttpServer : public QObject
{
Q_OBJECT
public:
QDjangoHttpServer(QObject *parent = 0);
~QDjangoHttpServer();
void close();
bool listen(const QHostAddress &address, quint16 port);
QDjangoUrlResolver *urls() const;
signals:
void requestFinished(QDjangoHttpRequest *request, QDjangoHttpResponse *response);
private slots:
void _q_newTcpConnection();
private:
Q_DISABLE_COPY(QDjangoHttpServer)
QDjangoHttpServerPrivate* const d;
};
#endif